CodegenUtils (Jython API documentation)
Date: 2024-08-18

org.python.util

## Class CodegenUtils

- java.lang.Object
- - org.python.util.CodegenUtils

-     public class CodegenUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodegenUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `c(java.lang.String p)` Creates a dotted class name from a path/package name
    `static java.lang.String` | `ci(java.lang.Class n)` Creates a class identifier of form Labc/abc;, from a Class.
    `static java.lang.String` | `p(java.lang.Class n)` Creates a class path name, from a Class.
    `static java.lang.Class[]` | `params(java.lang.Class... classes)`
    `static java.lang.Class[]` | `params(java.lang.Class cls1, java.lang.Class clsFill, int times)`
    `static java.lang.Class[]` | `params(java.lang.Class cls, int times)`
    `static java.lang.String` | `sig(java.lang.Class retval, java.lang.Class... params)` Create a method signature from the given param types and return values
    `static java.lang.String` | `sig(java.lang.Class retval, java.lang.String descriptor, java.lang.Class... params)`
    `static java.lang.String` | `sigParams(java.lang.Class... params)`
    `static java.lang.String` | `sigParams(java.lang.String descriptor, java.lang.Class... params)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodegenUtils

          public CodegenUtils()

  - ### Method Detail

    - #### c

          public static java.lang.String c(java.lang.String p)

      Creates a dotted class name from a path/package name

    - #### p

          public static java.lang.String p(java.lang.Class n)

      Creates a class path name, from a Class.

    - #### ci

          public static java.lang.String ci(java.lang.Class n)

      Creates a class identifier of form Labc/abc;, from a Class.

    - #### sig

          public static java.lang.String sig(java.lang.Class retval,
                                             java.lang.Class... params)

      Create a method signature from the given param types and return values

    - #### sig

          public static java.lang.String sig(java.lang.Class retval,
                                             java.lang.String descriptor,
                                             java.lang.Class... params)

    - #### sigParams

          public static java.lang.String sigParams(java.lang.Class... params)

    - #### sigParams

          public static java.lang.String sigParams(java.lang.String descriptor,
                                                   java.lang.Class... params)

    - #### params

          public static java.lang.Class[] params(java.lang.Class... classes)

    - #### params

          public static java.lang.Class[] params(java.lang.Class cls,
                                                 int times)

    - #### params

          public static java.lang.Class[] params(java.lang.Class cls1,
                                                 java.lang.Class clsFill,
                                                 int times)

Jython homepage